package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.Elccou;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.Date;
import java.util.List;
import java.util.Map;

@Mapper
public interface ElccouMapper {

    int insert(Elccou record);

    int update(Elccou record);

    Elccou selectForUpdate(@Param("coudat") Date coudat, @Param("counam") String counam);

    Elccou selectByCoudatAndCounam(@Param("coudat") Date coudat, @Param("counam") String counam);

}